End-of-Life (EOL) notification for Red Hat Satellite 5 running on Red Hat Enterprise Linux 4

Updated -

Issue

  • When does Red Hat Satellite and Proxy 5.x running on Red Hat Enterprise Linux 4 reach end of life (EOL)?

Environment

Red Hat Satellite 5.x / Proxy 5.x released to run on Red Hat Enterprise Linux 4. This includes:

  • 5.0
  • 5.1
  • 5.2 on Red Hat Enterprise Linux 4
  • 5.3 on Red Hat Enterprise Linux 4

Resolution

This is the End-of-Life notification for Red Hat Satellite Server 5 versions released to run on Red Hat Enterprise Linux 4.

On December 1, 2012, the following versions of Satellite and Proxy products released for Red Hat Enterprise Linux 4 will conclude Production Phase 2 as per the life cycle support policy, marking the end of their support by Red Hat.

The End of Life Support Policy can be found here:
https://access.redhat.com/support/policy/updates/satellite/

Notes:
1) Red Hat will continue to support Red Hat Satellite and Proxy versions 5.2 and 5.3 running on Red Hat Enterprise Linux 5 until May 29th 2015 (see "End-of-Life (EOL) notification for Red Hat Satellite 5.5 and older versions")
2) All versions of Red Hat Satellite and Proxy versions 5.0 and 5.1 are now EOL with this notice.

Red Hat is committed to the December 1, 2012 date to decommission Red Hat Satellite and Proxy support on the specified versions. However, Red Hat recognizes that customers have woven these products deeply in their infrastructure and may need some time to upgrade.

For upgrade purposes, please note the following dates:
* December 1, 2012: Official support for Red Hat Satellite and Proxy for listed versions running on RHEL 4 ends. Only Severity 1 issues and upgrade assistance will be addressed. Satellite and Proxy will continue to operate, but all customers are encouraged to upgrade in a timely manner.
* March 1, 2013: Active status on Red Hat Satellite and Proxy for listed versions will be terminated. The Satellite and Proxy versions listed will enter an inactive state. This includes Satellite Certificates which will no longer be generated nor provided to customers requesting them for these EOL product versions.

The overview for the Satellite Upgrade process starting point is outlined here:
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html/Installation_Guide/chap-Upgrades.html

For detailed instructions on upgrading Red Hat Satellite 5, please refer to the /etc/sysconfig/rhn/satellite-upgrade/README file. This can be found within the rhn-upgrade package. Before proceeding, it is important to read the complete details contained within the most current rhn-upgrade package README file.

As with all Satellite upgrades, please ensure that known good backups are available, especially of the database.

How to proceed:
* All affected Satellite and Proxy users must plan to upgrade to a newer version prior to March 1, 2013.
* If you have a Technical Account Manager, contact that person immediately to discuss upgrade plans.
* Otherwise, contact support for assistance.
* Alternatively, Red Hat Consulting can be engaged to assist with a smooth migration. More information on Red Hat Consulting for Satellite can be found here.
* Also see this solution: How to upgrade Red Hat Satellite
* EOL Errata: RHN Satellite Server 5 on Red Hat Enterprise Linux 4 - End Of Life

It is critical to ensure you have a plan to upgrade the following Satellite and Proxy versions prior to March 1, 2013 -
* 5.0
* 5.1
* 5.2 on RHEL 4
* 5.3 on RHEL 4